
Foreman - Feature #854

Provide the version when calling the status api method

04/19/2011 02:00 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to the get the version of foreman via the api.  This will be used to let people know I dont support the version they are

running:

http://foreman/home/status?format=json

currently it returns the following:

{"status":200,"db_duration_ms":"1","result":"ok"}

Associated revisions

Revision 2dc34ac5 - 05/02/2011 05:42 AM - Ohad Levy

fixes #854 - Provide the version when calling the status api method

History

#1 - 05/02/2011 05:41 AM - Ohad Levy

- Category set to API

- Assignee set to Ohad Levy

- Target version set to 0.3

#2 - 05/02/2011 05:42 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 2dc34ac5ce55a40c386b69c46d090c3763517988.

#3 - 05/02/2011 05:42 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
